> ## Documentation Index
> Fetch the complete documentation index at: https://docs.particle.pro/llms.txt
> Use this file to discover all available pages before exploring further.

# plan_required

> A billing plan is required to create projects

|                    |                        |
| ------------------ | ---------------------- |
| **HTTP status**    | `402 Payment Required` |
| **Error code**     | `plan_required`        |
| **Resolve action** | `select_plan`          |

## What happened

Project creation requires an active billing plan. Since all organizations are auto-subscribed to the free plan on signup, this error only occurs if the billing subscription failed during registration.

## How to fix

Select a plan (including the free plan) to activate the organization:

```bash theme={"dark"}
curl -X POST https://api.particle.pro/v1/organizations/{orgId}/billing/subscription \
  -H "Authorization: Bearer YOUR_JWT_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"plan_id": "PLAN_ID"}'
```

Then retry project creation.
